import { defineComponent, toRefs, openBlock, createElementBlock, createVNode, unref, createElementVNode } from "vue";
import _sfc_main$1 from "../../../NComponents/configCommon/refConfig.mjs";
import "./index.vue_vue_type_style_index_0_scoped_true_lang.mjs";
import _export_sfc from "../../../../_virtual/plugin-vue_export-helper.mjs";
const _hoisted_1 = { class: "com_11" };
const _hoisted_2 = { class: "com_11_right" };
const _hoisted_3 = { class: "com_11_right_bottom" };
const __default__ = defineComponent({ name: "EComponent11" });
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { titleConfig, imageConfig, valueConfig, unitConfig } = toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return openBlock(), createElementBlock("div", _hoisted_1, [
        createVNode(_sfc_main$1, {
          type: "img",
          config: unref(imageConfig)
        }, null, 8, ["config"]),
        createElementVNode("div", _hoisted_2, [
          createVNode(_sfc_main$1, {
            type: "text",
            config: unref(titleConfig),
            class: "title"
          }, null, 8, ["config"]),
          createElementVNode("div", _hoisted_3, [
            createVNode(_sfc_main$1, {
              type: "number",
              config: unref(valueConfig),
              class: "number"
            }, null, 8, ["config"]),
            createVNode(_sfc_main$1, {
              type: "text",
              config: unref(unitConfig),
              class: "unit"
            }, null, 8, ["config"])
          ])
        ])
      ]);
    };
  }
});
var _EComponent11 = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-bd97c690"]]);
export { _EComponent11 as default };
